
Redmine - Defect #2528

Add member to project does not work in Safari.

2009-01-18 19:04 - julien aubert

Status: Closed Start date: 2009-01-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

In Safari, I cannot add members to projects. (In firefox it works).

(Quick google: this may be a safari problem).

Trace from production.log:

/!\ FAILSAFE /!\  Sun Jan 18 17:38:02 +0000 2009

Status: 500 Internal Server Error

can't modify frozen string

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/request.rb:490:in `gsub!'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/request.rb:490:in `clean_up_ajax_request_body!'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/request.rb:400:in `parse_formatted_request_parameters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/cgi_process.rb:80:in `request_parameters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/request.rb:307:in `parameters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/request.rb:22:in `request_method'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/request.rb:35:in `method'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/routing/route_set.rb:432:in `extract_request_environment'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/routing/route_set.rb:385:in `recognize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:148:in `handle_request'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispatch'

/var/www/redmine-0.8/public/dispatch.cgi:10

Safari Version 3.2.1 (5525.27.1)

MySql Server version: 5.0.51a-3ubuntu5.4

Redmine 0.8.0.stable.2264 (MySQL)

output from ruby script/about

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /var/www/redmine-0.8

Environment               development

Database adapter          mysql

(on a sidenote, shouldn't script/about give the redmine version info?)

Best regards,

Julien

History
#1 - 2009-01-18 19:32 - Jean-Philippe Lang

I'm not able to reproduce with Windows/Safari 3.2.1 (525.27.1) neither on my dev environment nor on redmine.org.

It seems to be a Rails/Safari issue:

http://dev.rubyonrails.org/ticket/10365

http://rails.lighthouseapp.com/projects/8994/tickets/1690-safari-generate-a-500-internal-server-error-on-ajax-requests

#2 - 2010-02-11 20:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce
